% function A=DiffDiv(t,P)
%
% Funzione per calcolare le differenze divise
% Restituisce in A le differenze divise che sono 
% i coeff del polinomio interpolante nella base di Newton
% t -> parametro
% P -> Punti da interpolare
function A=DiffDiv(t,P)
[d,n]=size(P);
A=P;
for i=1:n
    for j=n:-1:i+1
        A(:,j)=(A(:,j)-A(:,j-1))/(t(j)-t(j-i));
    end
end
