% Calcola il valore del j-esimo polinomio di Bernstein di grado n
% nel punto t.
% PRECONDITION t appartenente all'intervallo [0:1]
function bt = bernstein(n,j,t)
if (j < 0) | (j > n),
   bt = 0;
else
   bt = combination(n,j) .* t.^j .* (1-t).^(n-j);
end
return