% function [tnew, Qnew]=bezierform(t,Q)
% scrive la spline in forma di bezier
function [tnew, Qnew]=bezierform2(t,Q)
[d,n]=size(Q);
k=length(t)-n;
tau =[]; M = [];
i = k+1; j=1;
% Costruzione di tau
while i <= length(t)-k
    tau (j) = t(i);
    count = 0; % conteggio della molteplicita'
    while ((t(i)==tau(length(tau))) & (i <= length(t)-k))
        count = count +1;
        i = i+1;
    end
    M(j) = count;
    i = i+1;
    j = j+1;
end
L = length(tau)+1;
% Si fanno ripetute knot insertion in modo che ogni nodo abbia la molteplicita
% massima
tnew=t;
Qnew=Q;
for i=1:L-1
    num=k-1-M(i); % numero di inserimenti che devo fare per arrivare alla moltepl. k-1
    for j=1:num
        [tnew,Qnew]=knotinsert(tnew,Qnew,tau(i))
    end
end
 