function [X, dX, ddX, dddX] = bsplinecalc(t, Q, ttab)
X = deboor(t, Q, ttab);

[d,n]=size(Q);
it=length(t);
k= it-n;
d1(1,1:n-1) = diff(Q(1,:)) ./ (t(k+1:n+k-1) - t(2:n));
d1(2,1:n-1) = diff(Q(2,:)) ./ (t(k+1:n+k-1) - t(2:n));
dX = (k-1) * deboor(t(2:length(t)-1), d1, ttab);
if (k>3)
    d2(1,1:n-2) = diff(d1(1,:)) ./ (t(k+1:n+k-2) - t(3:n));
    d2(2,1:n-2) = diff(d1(2,:)) ./ (t(k+1:n+k-2) - t(3:n));
    ddX = (k-1) * (k-2) * deboor(t(3:length(t)-2), d2, ttab);
end
if (k>4)
    d3(1,1:n-3) = diff(d2(1,:)) ./ (t(k+1:n+k-3) - t(4:n));
    d3(2,1:n-3) = diff(d2(2,:)) ./ (t(k+1:n+k-3) - t(4:n));
    dddX = (k-1) * (k-2) * deboor(t(4:length(t)-3), d2, ttab);
end
return