function [X, dX, ddX, K, T] = calculate(ttab, ctrl, pesi, tipo, param);
switch tipo
case 0
    [X, dX, ddX, dddX] = bezier(ttab, ctrl);
case 1
    [X, dX, ddX, dddX] = ratbezier(ttab, ctrl, pesi);
case 2
    [X, dX, ddX, dddX] = conica(ttab, ctrl, pesi(1));
case 3
    [X, dX, ddX, dddX] = HermiteSpline(ctrl', param);
case 4
    [X, dX, ddX, dddX] = InterpolaNewton(ctrl', ttab, param);    
case 5
    [X, dX, ddX, dddX] = nuspline(ctrl', pesi, param);
case 6
    [X, dX, ddX, dddX] = bsplinecalc(pesi, ctrl', ttab);
end
X = X'; dX = dX'; ddX = ddX'; dddX = dddX';
% Calcolo della curvatura
K = curvature(dX, ddX);
% Calcolo della torsione
T = torsion(dX, ddX, dddX);
return
 