function showctrl(ctrl, num)
handles = guidata(gcf);
figdata = handles.hdata;
handlesdata = guidata(figdata);
handlesdata.hfig = gcf;
guidata(figdata, handlesdata);

b = uicontrol('Parent',figdata, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
    'Callback', strcat('ctrlXY( ', num2str(num), ', 1)'), ...
	'Position',[0 400-((num)*15) 37.5 15], ...
	'Style','edit', ...
    'String', num2str(ctrl(num, 1)), ...
    'Tag',strcat('ETX', num2str(num)), ...
    'Units', 'pixels');
b = uicontrol('Parent',figdata, ...
    'Units','points', ...
    'BackgroundColor',[1 1 1], ...
    'Callback', strcat('ctrlXY( ', num2str(num), ', 2)'), ...
	'Position',[37.5 400-((num)*15) 37.5 15], ...
	'Style','edit', ...
    'String', num2str(ctrl(num, 2)), ...            
    'Tag',strcat('ETY', num2str(num)));

[n, d] = size(ctrl);
if (d > 2),
    b = uicontrol('Parent',figdata, ...
        'Units','points', ...
        'BackgroundColor',[1 1 1], ...
        'Callback', strcat('ctrlXY( ', num2str(num), ', 3)'), ...
	    'Position',[75 400-((num)*15) 37.5 15], ...
    	'Style','edit', ...
        'String', num2str(ctrl(num, 3)), ...            
        'Tag',strcat('ETZ', num2str(num)));        
end
