% function T = torsion(dX, ddX, dddX)
%
% Calcola la torsione
% Input
% dX,ddX, dddX derivate prima seconda e terza della curva
function T = torsion(dX, ddX, dddX)
[n, d] = size(dX);
T = zeros(length(dX),1);
if (d == 3)
    for t=1:length(dX)
        T(t) = det([dX(t, :); ddX(t,:); dddX(t,:)])/(norm(cross(dX(t,:),ddX(t,:)),2)^2);
    end
end
