function torsionplot(T, ttab)
hf = findobj('Tag', 'torsion');
if isempty(hf),
    hf = figure;
    set(hf, 'Tag', 'torsion', 'Name', 'Torsion');
else
    figure(hf);
end
clf;

hp = plot(ttab, T);
title('Torsion', 'FontWeight', 'Bold');
set(hp,{'Linewidth'},{2});

grid on;
figure(findobj('Tag', 'main_figure'));    
return