k=input('assegna l''ordine ');
a=input('assegna l''estremo sinistro ');
b=input('assegna l''estremo destro ');
tau=input('assegna il vettore dei nodi interni ');
M=input('assegna il vettore delle molteplicit ');
ind=input('Curva aperta (0) o chiusa (1)? ');
L=length(tau)+1;
t=knotvett(k,a,b,tau,M,ind);
% la dimensione dello spazio e' k +mu dove mu=sum(M(i))
n=k+sum(M); % dimensione dello spazio.
%l'utente deve inserire gli n+1 punti di controllo
% Se la curva e' chiusa gli ultimi k-1 punti devono essere uguali ai primi
if (ind==0)
    disp(['assegna ', num2str(n), ' punti di controllo']);
    pause;
    axis([0 1 0 1 ]);
    Q=ginput(n);
    close;
    Q=Q';
else
    %curva chiusa (ne deve dare k-1 di meno)
    disp(['assegna ', num2str(n-k+1), ' punti di controllo']);
    pause;   
    axis([0 1 0 1 ]);
    Q=ginput(n-k+1);
    close;
    Q=Q';
    Q=[Q Q(:,1:k-1)]; % gli ultimi k-1 punti sono uguali ai primi k-1.
end

% Definizione del vettore di tabulazione
htab=(b-a)/(L*1000); % spaziatura del vettore di tabulazione
taun=[a tau b];
ttab=[];
for r=1:L
    nloc=floor((taun(r+1)-taun(r))/htab);
    ttabloc=linspace(taun(r),taun(r+1),nloc);
    ttab=[ttab , ttabloc(1:nloc-1)];
end
ttab=[ttab b];
C=deboor(t,Q,ttab);
plot(Q(1,:),Q(2,:),'b',Q(1,:),Q(2,:),'bo',C(1,:),C(2,:),'r');
hold on;


[tnew,Qnew]=bezierform(k,a,b,tau,M,Q,ind);
display('Tra poco vedrai il poligono di controllo per la curva espressa come Bezier Spline');
pause

Cnew=deboor(tnew,Qnew,ttab);
plot(Qnew(1,:),Qnew(2,:),'m',Qnew(1,:),Qnew(2,:),'ms',Cnew(1,:),Cnew(2,:),'g');
