function ctrlPeso(n)

v = str2num(get(gcbo, 'String'));

handlesdata = guidata(gcf);

figure(handlesdata.hfig);

handles = guidata(gcf);

if (isempty(v))
    set(gcbo, 'String', num2str(handles.ctrl(n,d)));
    return
end

if ((handles.tipo == 2) & (v >= 1))
    set(gcbo, 'String', num2str(handles.pesi(n)));
    return
end

handles.pesi(n) = abs(v);
set(gcbo, 'String', num2str(abs(v)));

[X, dX, ddX, K, T] = calculate(handles.ttab, handles.ctrl, handles.pesi, handles.tipo, handles.param);

handles.X = X;
handles.dX = dX;
handles.ddX = ddX;
handles.K = K;
handles.T = T;
guidata(gcf, handles);

clearselectsel;
plotcurve(1, handles.tipo);
return