% c=degreeelevation(b) implementa l'algoritmo
% di degree elevation
%
% Input
%   b   poligono di controllo iniziale
% Output
%   c   poligono di controllo con un punto
%       in piu dopo la degree elevation

function c=degreeelevation(b)
[d n]=size(b);
c(:,1)=b(:,1);
c(:,n+1)=b(:,n);
for i=2:n
    s=(i-1)/n;
    c(:,i)=s*b(:,i-1)+(1-s)*b(:,i);
end
return