% c=degreeredaction(b) implementa l'algoritmo
% di degree redaction
%
% Input
%   b   poligono di controllo iniziale
% Output
%   c   poligono di controllo con un punto
%       in meno dopo la degree redaction
%
% NOTA: la curva rappresentata con il nuovo
%       poligono di controllo non e 
%       necessariamente la stessa 

function c = degreereduction(b)
[d n]=size(b);
c(:,1)=b(:,1);
c(:,n-1)=b(:,n);
m = round(n/2);
for i=2:m-1,
    c(:,i)= (n*b(:,i) - i*c(:,i-1))/(n-i);
end 

for i=n-2:-1:m,
    c(:,i)= (n*b(:,i) - (n-i)*c(:,i))/i;
end 
