function [k, a, b, tau, M, OC, ok] = inputbspline;
% Ordine
k = inputdlg('Inserimento ordine bspline', 'Ordine della bspline');
k = str2double(k);
if isnan(k),
    warndlg('L''ordine deve essere un valore numerico');
    ok=0; return
else
    k = floor(k);
end
if (k < 1),
    warndlg('L''ordine deve essere maggiore di 0');
    ok=0; return
end
% % Estremo sinistro
% a = inputdlg('Inserimento estremo sinistro', 'Estremo sinistro');
% a = str2double(a);
% if isnan(a),
%     warndlg('L''estremo sinistro deve essere un valore numerico');
%     ok=0; return
% end
% % Estremo destro
% b = inputdlg('Inserimento estremo destro', 'Estremo destro');
% b = str2double(b);
% if isnan(b),
%     warndlg('L''estremo destro deve essere un valore numerico');
%     ok=0; return
% end
% if (a >= b),
%     warndlg('L''estremo sinistro deve essere minore di quello destro');
%     ok=0; return
% end
a = 0;
b = 1;
% Numero nodi interni
L = inputdlg('Inserimento numero nodi interni', 'Quanti nodi interni?');
L = str2double(L);
if isnan(L),
    warndlg('Il numero di nodi interni deve essere un valore numerico');
    ok=0; return
else
    L = floor(L);
end
if (L < 1),
    warndlg('Il numero di nodi interni deve essere maggiore di 0');
    ok=0; return
end
% L = 3;
% Nodi interni
v = zeros(L+2,1);
v(1) = a;
v(L+2) = b;
for i=2:L+1,
    tmp = inputdlg(strcat('Inserimento nodo interno ', num2str(i-1), ' di ', num2str(L)), 'Nodo interno');
    tmp = str2double(tmp);
    if isnan(tmp),
        warndlg('I nodi interni devono essere valori numerici');
        ok=0; return
    end
    v(i) = tmp;
    if ((v(i) <= v(1)) | (v(i) <= v(i-1)) | (v(i) >= v(L+2)))
        warndlg('Valore non ammesso');
        ok=0; return
    end
end
tau = v(2:L+1);
% tau = [.2 .4 .8]';
% Molteplicita
M = zeros(L,1);
for i=1:L,
    tmp = inputdlg(strcat('Inserimento molteplicit ', num2str(i), ' di ', num2str(L)), 'Molteplicit');
    tmp = str2double(tmp);
    if isnan(tmp),
        warndlg('Le molteplicit devono essere valori numerici');
        ok=0; return
    else
        tmp = floor(tmp);
    end
    if (tmp < 1),
        warndlg('Le molteplicit devono essere maggiori di 0');
    end
    M(i) = tmp;
end
% M = [1 1 1]';
strtmp = questdlg('La curva  aperta o chiusa?', 'Aperta o Chiusa', 'Aperta', 'Chiusa', 'Aperta');
if strcmp(strtmp,'Aperta'),
    OC = 0;
else
    OC = 1;
end
ok = 1;
return