% t vettore dei nodi esteso
% Q punti di conttrollo
% knot nodo da inserire
% tnew nuovo vettore dei nodi
% Qnew nuovi punti di controllo
function[tnew, Qnew]=knotinsert(t,Q,knot)
[d,n]=size(Q);
k=length(t)-n;

%per individuare l'intervallo [t_r t_(r+1)] in cui
% sta il nuovo nodo (knot)
for i=k:(n+1)
    if (knot>=t(i)) & (knot< t(i+1))
        r=i;
        break;
    end
end

tnew=[t(1:r),knot,t(r+1:n+k)];
Qnew(:,1:r-k+1)=Q(:,1:r-k+1);
Qnew(:,(r+1):(n+1))=Q(:,r:n);
for i=r-k+2:r
    bet=(knot-t(i))/(t(i+k-1)-t(i));
    Qnew(:,i)=(1-bet)*Q(:,i-1)+bet*Q(:,i);
end

