%Funzione per calcolare il vettore esteso dei nodi 
% k ordine
% tau nodi interni
% M molteplicita'
% ind 0=curva aperta 
%     1=curva chiusa
function t=knotvett(k,a,b,tau,M,ind)
L=length(tau)+1;
if (ind==0) % curva aperta
    t=a*ones(1,k);
    for i=1:L-1
        t=[t, tau(i)*ones(1,M(i))]; % ripeto tau(i) M (i) volte
    end
    t=[t, b*ones(1,k)];
else % curva chiusa
    t=a;
    for i=1:L-1
        t=[t, tau(i)*ones(1,M(i))]; % ripeto tau(i) M (i) volte
    end
    t=[zeros(1,k-1), t, b];
    idim=length(t);
    for i=(k-1):(-1):1
        t(i)=t(i+1)-(t(idim+i-k+1)-t(idim+i-k)); 
        % definisce i nodi ausiliari a sinistra
    end
    for i=1:k-1
        t(idim+i)=t(idim+i-1)+(t(i+k)-t(i+k-1));
        % definisce i nodi ausiliari a destra   
    end
end

    
