function [c, x] = ratdegreeelevation(b, w)
[d, n] = size(b);
c(:,1)=b(:,1);
c(:,n+1)=b(:,n);
x(:,1)=w(:,1);
x(:,n+1)=w(:,n);
for i=2:n
    alpha = i/(n+1);
    x(i) = alpha*w(i-1) + (1-alpha)*w(i);
    c(:,i) = (alpha*w(i-1)*b(:,i-1) + (1-alpha)*w(i)*b(:,i))/x(i);
end

    